CLPEAK(1)

NAME
clpeak - Profile OpenCL devices to find peak capacities

DESCRIPTION
Clpeak is a synthetic benchmarking tool to measure peak capabilities of opencl devices. It only measures the peak metrics that can be achieved using vector operations and does not represent a real-world use case

    clpeak [OPTIONS]

    OPTIONS:

-p, --platform num
    choose platform (num starts with 0)

-d, --device num
    choose device (num starts with 0)

--use-event-timer
    time using cl events instead of std chrono timer hide driver latencies [default: No]

--global-bandwidth
    selectively run global bandwidth test

--compute-sp
    selectively run single precision compute test

--compute-dp
    selectively run double precision compute test

--compute-integer
    selectively run integer compute test

--transfer-bandwidth
    selectively run transfer bandwidth test

--kernel-latency
    selectively run kernel latency test

--all-tests
    run all above tests [default]

--enable-xml-dump
    Dump results to xml file

-f, --xml-file file_name
    specify file name for xml dump

-v, --version
    display version

-h, --help
    display help message